import { FilterInput } from '../components/Common/CustomTableWithSearch/CustomSearchFilter/CustomSearchFilter';

const placeholder = 'Tapez ici';

export const LABO_FILTER_INPUTS: FilterInput[] = [
  {
    name: 'nom',
    label: 'Nom Laboratoire',
    value: '',
    type: 'Search',
    placeholder,
    ordre: 1,
  },
  {
    name: 'code',
    label: 'Code laboratoire',
    value: '',
    type: 'Search',
    placeholder,
    // extraNames: ['titulaires.nom', 'titulaires.prenom'],
    ordre: 2,
  },
  {
    name: 'cp',
    label: 'Code Postal',
    value: '',
    type: 'Search',
    placeholder,
    ordre: 3,
  },
  {
    name: 'ville',
    label: 'Ville',
    value: '',
    type: 'Search',
    placeholder,
    ordre: 4,
  },
  {
    name: 'tel',
    label: 'Téléphone',
    value: '',
    type: 'Search',
    placeholder,
    ordre: 5,
  },
  {
    name: 'adresse',
    label: 'Adresse',
    value: '',
    type: 'Search',
    placeholder,
    ordre: 6,
  },
  {
    name: 'departement',
    label: 'Département',
    value: '',
    type: 'Search',
    placeholder,
    ordre: 7,
  },
  {
    name: 'region',
    label: 'Région',
    value: '',
    type: 'Search',
    placeholder,
    ordre: 8,
  },
  {
    name: 'obligatoire',
    label: 'Obligatoire',
    value: '',
    type: 'Select',
    options: [{ label: 'Oui', value: 'true' }, { label: 'Non', value: 'false' }],
    placeholder,
    ordre: 9,
  },
  {
    name: 'selection',
    label: 'Sélection',
    value: '',
    type: 'Select',
    options: [
      { label: 'Tous', value: 'all' },
      { label: 'Sélectionné(s)', value: 'selected' },
      { label: 'Non sélectionné(s)', value: 'notselected' },
    ],
    placeholder,
    ordre: 10,
  },
];
